Bug 961264 - No way to track and manage online status
No way to track and manage online status
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sssd (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: SSSD Maintainers
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 05:29 EDT by Stef Walter
Modified: 2016-09-12 02:51 EDT (History)
7 users (show)

See Also:
Fixed In Version: sssd-1.14.1-1.fc25 sssd-1.14.1-2.fc24 sssd-1.14.1-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-10 16:54:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stef Walter 2013-05-09 05:29:14 EDT
There doesn't seem to be a simple way to track or control sssd's online status with regards to a domain. This leads to hacky solutions like as seen here:

https://fedoraproject.org/wiki/QA:Testcase_sssd_ad_dns_update

There should be a tool which can check sssd status of domains, and perform requests to be online/offline.

Name        : sssd
Arch        : x86_64
Version     : 1.10.0
Release     : 4.fc19.beta1

As seen on test day: https://fedoraproject.org/wiki/Test_Day:2013-05-09_SSSD_Improvements_and_AD_Integration
Comment 1 Stephen Gallagher 2013-05-09 07:15:24 EDT
SSSD has an undocumented feature for testing purposes that maybe we should make public. Sending any 'sssd_be' process a SIGUSR2 will tell it to immediately attempt to establish a connection for that domain. Sending the 'sssd' process a SIGUSR2 will tell it to make *all* configured domains try to go online.
Comment 2 Stephen Gallagher 2013-05-09 07:17:04 EDT
Actually, I correct that. It's right in the sssd(8) manpage:

SIGNALS
...
       SIGUSR1
           Tells the SSSD to simulate offline operation for one minute. This is mostly useful for testing purposes.

       SIGUSR2
           Tells the SSSD to go online immediately. This is mostly useful for testing purposes.
Comment 3 Jakub Hrozek 2013-05-10 04:43:47 EDT
Upstream ticket:
https://fedorahosted.org/sssd/ticket/385
Comment 4 Dmitri Pal 2013-05-10 16:03:14 EDT
What do we want know? If the SSSD is connected at the moment or not? That probably can be queried but not much beyond. But is this a sufficient indicator?
Comment 5 Stef Walter 2013-05-10 16:22:22 EDT
(In reply to comment #4)
> What do we want know? If the SSSD is connected at the moment or not? That
> probably can be queried but not much beyond. But is this a sufficient
> indicator?

Yes, that would be great.

Perhaps, in addition, the same tool could send the appropriate unix signals to either one backend or to the sssd monitor, to make either one domain, or all domains go on/offline...
Comment 6 Jakub Hrozek 2013-05-11 14:29:55 EDT
(In reply to comment #5)
> (In reply to comment #4)
> > What do we want know? If the SSSD is connected at the moment or not? That
> > probably can be queried but not much beyond. But is this a sufficient
> > indicator?
> 
> Yes, that would be great.
> 

There is one inherent problem with such tool -- it would only be able to display the current status, but the next request might reset or change the status. SSSD is really designed to be reactive and change the status after each request.

Moreover, cached identity requests in particular can be returned from cache w/o even contacting the back end and having a chance to change the status while non-cached identity requests would reach the back end and make the SSSD go online/offline.

> Perhaps, in addition, the same tool could send the appropriate unix signals
> to either one backend or to the sssd monitor, to make either one domain, or
> all domains go on/offline...

Yes, this sounds like upstream ticket #1800.
Comment 7 Fedora End Of Life 2015-01-09 13:05:03 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Jakub Hrozek 2015-01-09 14:19:23 EST
The associated upstream ticket is alive and doing well; reproposing for an active Fedora release.
Comment 9 Fedora End Of Life 2015-11-04 06:29:01 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Jakub Hrozek 2015-11-04 11:22:28 EST
This is still valid, but Pavel Reichl is working on the status utility for the next version.
Comment 11 Jan Kurik 2016-02-24 08:12:20 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 13 Jakub Hrozek 2016-06-27 12:32:08 EDT
    e157b9f6cb370e1b94bcac2044d26ad66d640fba
    9e9ad4cb181c6c0ec70caacfb31319753f889e98
    bf83a0faacf16196ab9bd37dcf6190b4209ccaf7
    586fa3571753ab4a607d40fc31503fc0e8effd70
    2f18b8d67c86a1a277b59894f24ea6e09b41b7ea
    d6f1b16baf8106d709e3fac585a12789dcb6bd29
    725c291ccfa46b08d2713133c227ac8d7203eb2f
    2f75ad013f8410397e4efbf0adadc2e69621f12a
    edaadf8de0c86a2cfff2d29215775d42919476f3
    47ce713ef8c7b32f2ce19cc3ace8e88f123fafac
    7bf750f6b3b47dcc8a192cc7bcbdecfb94e6cefb
    d2d8f342cd5e90bb9fd947c448492225f959aa86
    aea1d5c0ca9bb1470759b024c8b97b6c1f577193
    e98ccef2609811186711b79d8ef5d0a4450ab6e0
    81cde110402e088508053aea79670b38d450cb83
    b03ccb2764a4ccdadb77599cb624b6a17b633438
    3bc651a611a3e5be508875f3ae58bfb5ece2525c
    a6cd927f298ff5c9a603db5acb6c1b0ebea178c0
    b963ed8079a4a284611d50d1b79695116c40295d
    cf3ba77997dfbd076a1f30fdbb33c7973766ac03
    36e262020c80479baa09b2c4c8dd045c7a0f32a1
    12d99da163b1efef7e982f04e03049e012857bae
    2a45f13e3139063d3a5842119e7377c8c98aea1d
    7f0b01bf0a8f5c5b3ef145e81511b6db2cb4f98f
    b420aae3becdbf501deb2637e2a06636bd6ce1fe
Comment 14 Fedora Update System 2016-08-19 13:59:57 EDT
sssd-1.14.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e2a7cf208d
Comment 15 Fedora Update System 2016-08-19 14:00:49 EDT
sssd-1.14.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-15f767c98e
Comment 16 Fedora Update System 2016-08-19 14:22:57 EDT
sssd-1.14.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-80fb0ddfb2
Comment 17 Fedora Update System 2016-08-20 14:50:30 EDT
sssd-1.14.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e2a7cf208d
Comment 18 Fedora Update System 2016-08-21 00:22:37 EDT
sssd-1.14.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-15f767c98e
Comment 19 Fedora Update System 2016-08-21 00:24:34 EDT
sssd-1.14.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-80fb0ddfb2
Comment 20 Fedora Update System 2016-08-27 06:19:26 EDT
sssd-1.14.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2016-09-01 13:55:08 EDT
sssd-1.14.1-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-84e9c107c2
Comment 22 Fedora Update System 2016-09-01 13:55:49 EDT
sssd-1.14.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7053443264
Comment 23 Fedora Update System 2016-09-02 23:24:06 EDT
sssd-1.14.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-84e9c107c2
Comment 24 Fedora Update System 2016-09-02 23:53:18 EDT
sssd-1.14.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7053443264
Comment 25 Fedora Update System 2016-09-10 16:54:44 EDT
sssd-1.14.1-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2016-09-12 02:51:00 EDT
sssd-1.14.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.